"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var web_base_model_1 = require("web-base-model");
var Promise = require("bluebird");
var moment = require("moment");
function formatDateTime(date) {
    var d;
    if (typeof (date) === 'string')
        d = new Date(date);
    else if (date instanceof Date)
        d = date;
    if (d === undefined || d === null)
        return '';
    return moment(d).format("YYYY-MM-DD HH:mm:ss");
}
exports.formatDateTime = formatDateTime;
var ServerBaseModel = (function (_super) {
    __extends(ServerBaseModel, _super);
    function ServerBaseModel(instance) {
        return _super.call(this, instance) || this;
    }
    return ServerBaseModel;
}(web_base_model_1.BaseModel));
exports.ServerBaseModel = ServerBaseModel;
function all(DBinstance, limit, offset) {
    var options = {};
    if (limit && limit > 0)
        options.limit = limit;
    if (offset && offset > 0)
        options.offset = offset;
    return new Promise(function (resolve, reject) {
        DBinstance.all(options).then(function (items) { return resolve(items); }, reject);
    });
}
exports.all = all;
//# sourceMappingURL=index.js.map